using System.Collections;
using UnityEngine;

namespace CheesyFX
{
    public class OrificeTriggerHandler : MonoBehaviour
    {
        public bool isActive;
        public Orifice orifice;
        // public Collider lastCollider;
        private int numCollisions;
		
        public void OnTriggerEnter(Collider collider){
            if (collider.isTrigger) return;
            numCollisions++;
            // lastCollider = collider;
            if (!orifice.isPenetrated)
            {
                orifice.RegisterCollision(collider);
                // orifice.onEnterActions?.Invoke();
            }
        }
		
        public void OnTriggerExit(Collider collider)
        {
            if (collider.isTrigger) return;
            numCollisions--;
            if (numCollisions == 0)
            {
                orifice.isPenetrated = false;
                // orifice.onExitActions?.Invoke();
            }
        }

        public void Reset()
        {
            numCollisions = 0;
            orifice.isPenetrated = false;
        }
    }
}